image: jangrewe/gitlab-ci-android

before_script:
  - export GRADLE_USER_HOME=$(pwd)/.gradle
  - export ANDROID_HOME=$HOME/Library/Android/sdk
  - chmod +x ./gradlew


cache:
  key: ${CI_PROJECT_ID}
  paths:
    - .gradle/


stages:
  - Build


Build Release:
  stage: Build
  allow_failure: false
  script:
    - ./gradlew clean
    - ./gradlew assembleRelease
    - ./gradlew uploadApkToSlack